with Base_Types;
package Bids is 
   type Situations is (Should_Drop, Could_Push, Should_Pick, Normal);
   type Situation_Type (Situation : Situations) is 
      record
         case Situation is 
            when Should_Drop =>
               Number_To_Be_Dropped : Base_Types.Gift_Counter;
            when Could_Push =>
               Max_Pushables : Natural;
            when Should_Pick =>
               Number_To_Be_Picked : Base_Types.Gift_Counter; -- not available!
            when Normal => 
               null;
          end case;
      end record;
   function Bid (Circumstances : Situation_Type) return Base_Types.Bid_Type;
end Bids;
