with Tracking;
package body Strategy.Aux is
   function Metric (A, B : Base_Types.Position_Type ) return Natural is
   begin
      return abs (Natural(A.X) - Natural(B.X))
           + abs (Natural(A.Y) - Natural(B.Y));
   end Metric;

   function Afford_Gift (My_Robot : Base_Types.Robot_Configuration;
                         My_Gifts : Base_Types.Gift_List;
                         Number_Of_Gifts : Base_Types.Gift_Counter;
                         New_Gift : Base_Types.Gift_Type) return Boolean is
      use type Base_Types.Weight_Type;
      Total_Weight : Base_Types.Weight_Type := 0;
   begin
      for Item in 1 .. Number_Of_Gifts loop
         Total_Weight := Total_Weight + Tracking.Weight (My_Gifts (Item));
      end loop;
      return My_Robot.Capacity >= Total_Weight + New_Gift.Weight;
   end Afford_gift;

   function Can_Push return Boolean is
   begin
      return False; -- Stub!!!
   end Can_Push;
   function Risk_Being_Pushed return Boolean is
   begin
      return False; -- Stub!!!
   end Risk_Being_Pushed;
end Strategy.Aux;
